Unit tzf15r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF15R_p, ZF15R_p;

function tzf15r: String; 

implementation

function tzf15r: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Real;
begin
Result := '';
ITMAX := 20;
A := -3.3;
B := 4.6;
EPS := 0.00001;
ZF15R(FZF15R,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format(' %20.16f %20.16f %20.16f  %10d %10d %20.16f ',[A,B,EPS,ITMAX,IERR,ROOT]) + #$0D#$0A;
UtRes('tzf15r',Result);  //    tzf15r.res
exit;
end;

end.
